import { Application } from '../application';
import { IComponent, IHttpOptions, IHttpServer } from '..';
export declare class HttpComponent implements IComponent {
    app: Application;
    name: string;
    port: number;
    httpServer: IHttpServer;
    constructor(app: Application, opts: IHttpOptions);
    addRoute(...args: any): void;
    start(): Promise<void>;
    afterStart(): Promise<void>;
    stop(force: boolean): Promise<void>;
    private getDefaultServer;
}
